Recalls

Get bulk recalls batch results

Fetch the per-VIN recall results of a completed batch as JSON.


Checking account...
GET
/v1/recalls-batch/results

Fetch the per-VIN recall results of a completed batch as JSON.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

batchId*string

The batch ID returned from the submit endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/v1/recalls-batch/results \  -d key=CARSXE_API_KEY \  -d batchId=string
{
  "success": true,
  "data": {
    "job": {
      "batchId": "brb_mnablbn7_wvbaqv",
      "numericBatchId": 200426,
      "status": "completed"
    },
    "results": [
      {
        "vin": "1HGBH41JXMN109186",
        "hasRecalls": true,
        "recallCount": 1
      },
      {
        "vin": "5YJSA1E26HF000001",
        "hasRecalls": false,
        "recallCount": 0
      }
    ]
  }
}
{
  "success": false,
  "message": "Missing batchId parameter"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "Batch not found or you do not have access to this batch."
}
{
  "success": false,
  "message": "Batch processing is not yet complete. Check status and try again later."
}